#!/bin/csh

set PROTDIR = Proteins
set CONTDIR = Globfiles

# to specify the conformations to build (Here, only the conformations 38 and 46 will be considered)
foreach DOCKPOS (38 46)

# to specify the pdb to build (receptor) (Here, only the pdb 1TMQ_l_u will be considered as receptor)
foreach PROT (1TMQ_l_u.pdb)
set PROT1 = ${PROT:t:r}
echo $PROT1
set PROTid1 = `echo {$PROT1:r}| cut -c 1-6`
echo $PROTid1
set PROTroot = `echo {$PROT1:r}| cut -c 1-4`
echo $PROTroot
set minroot = `echo $PROTroot |tr "[A-Z]" "[a-z]"`
echo $minroot
# to specify the pdb to build (ligand) (Here, only the pdb 1TMQ_r_u will be considered as ligand)
foreach PROTT (1TMQ_r_u.pdb)
set PROT2 = ${PROTT:t:r}
echo $PROT2
set PROTid2 = `echo {$PROT2:r}| cut -c 1-6`
echo $PROTid2
rm proteins.dat
#rm nglobal.dat
cp $CONTDIR/Cond.$PROT1.$PROT2.UB.global.dat global.dat
echo "'"$PROTDIR/$PROT1.pdb"'">proteins.dat
echo "'"$PROT1"'">>proteins.dat
echo "'"$PROTDIR/$PROT2.pdb"'">>proteins.dat
echo "'"$PROT2"'">>proteins.dat
echo "'selection'">>proteins.dat
echo "$DOCKPOS">>proteins.dat

# specify the path of the Interface.out program
/workspace/PDBBuilder/Interface.out  
end
end
end
echo ' ligand PDB file rebuilding done'



